/*
 * Class CHARACTER_8
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_873 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_873 [] = {0xFF01,2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_873 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_873 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_873 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_873 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_6_873 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_7_873 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_8_873 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_9_873 [] = {0xFF01,871,0xFFFF};
static const EIF_TYPE_INDEX egt_10_873 [] = {0xFF01,1638,875,0xFFFF};


static const struct desc_info desc_873[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_873), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_873), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_873), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_873), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_873), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_873), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_873), 21833, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_873), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_873), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 6339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21818, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21863, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21832, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21834, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_873), 21835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 21864, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21846, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21847, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21849, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21851, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21852, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21853, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_873), 21854, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21861, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21862, 0xFFFFFFFF},
};
void Init873(void)
{
	IDSC(desc_873, 0, 872);
	IDSC(desc_873 + 1, 1, 872);
	IDSC(desc_873 + 32, 700, 872);
	IDSC(desc_873 + 34, 1459, 872);
	IDSC(desc_873 + 38, 939, 872);
	IDSC(desc_873 + 41, 203, 872);
}


#ifdef __cplusplus
}
#endif
